Name:           pyelftools
Version:        0.25
Release:        3
License:        Public Domain
Summary:        Pure-Python library for parsing and analyzing ELF files
URL:            https://github.com/eliben/pyelftools
Source0:        https://files.pythonhosted.org/packages/source/p/pyelftools/pyelftools-%{version}.tar.gz

BuildRequires:  python3-devel python3-setuptools
BuildArch:      noarch

%description
This package provides a python library for parsing and
analyzing ELF files and DWARF debugging information.

%package     -n python3-pyelftools
Summary:        Parsing ELF and DWARF in Python
Requires:       python3-construct
%{?python_provide:%python_provide python3-pyelftools}
%description -n python3-pyelftools
This package provides a python library for parsing and
analyzing ELF files and DWARF debugging information.

%prep
%autosetup -p1

%build
%{py3_build}

%install
%{py3_install}
mv %{buildroot}/usr/bin/readelf.py %{buildroot}/usr/bin/pyreadelf

%check
%{__python3} test/run_all_unittests.py
%{__python3} test/run_examples_test.py
%{__python3} test/run_readelf_tests.py || :

%files -n python3-pyelftools
%doc CHANGES LICENSE
%{_bindir}/pyreadelf
%{python3_sitelib}/elftools
%{python3_sitelib}/pyelftools-*.egg-info


%changelog
* Mon Nov 16 2020 baizhonggui<baizhonggui@huawei.com> - 0.25-3
- Drop Python 2 subpackage

* Thu Jan 16 2020 wanjiankang<wanjiankang@huawei.com> - 0.25-2
- update to 0.25-2

* Tue Dec  2 2019 likexin<likexin4@huawei.com> - 0.24-4
- Package init

